org.apache.solr.common.params

## Interface CommonAdminParams

    public interface CommonAdminParams

### Field Summary

Fields
`static String` `ASYNC` Async or not?
`static String` `IN_PLACE_MOVE` Allow in-place move of replicas that use shared filesystems.
`static String` `NUM_SUB_SHARDS` Number of sub-shards to create.
`static String` `SPLIT_FUZZ` Inexact shard splitting factor.
`static String` `SPLIT_METHOD` Method to use for shard splitting.
`static String` `TIMEOUT` Timeout for replicas to become active.
`static String` `WAIT_FOR_FINAL_STATE` Wait for final state of the operation.

### Field Detail

#### ASYNC

    static final String ASYNC

Async or not?

See Also:
  Constant Field Values

#### WAIT_FOR_FINAL_STATE

    static final String WAIT_FOR_FINAL_STATE

Wait for final state of the operation.

See Also:
  Constant Field Values

#### IN_PLACE_MOVE

    static final String IN_PLACE_MOVE

Allow in-place move of replicas that use shared filesystems.

See Also:
  Constant Field Values

#### SPLIT_METHOD

    static final String SPLIT_METHOD

Method to use for shard splitting.

See Also:
  Constant Field Values

#### NUM_SUB_SHARDS

    static final String NUM_SUB_SHARDS

Number of sub-shards to create.

See Also:
  Constant Field Values

#### TIMEOUT

    static final String TIMEOUT

Timeout for replicas to become active.

See Also:
  Constant Field Values

#### SPLIT_FUZZ

    static final String SPLIT_FUZZ

Inexact shard splitting factor.

See Also:
  Constant Field Values